pandoc_path_arg {rmarkdown} | R Documentation

## Transform path for passing to pandoc

### Description

Transform a path for passing to pandoc on the command line. Calls `path.expand` on all platforms. On Windows, transform it to a short path name if it contains spaces, and then convert forward slashes to back slashes (as required by pandoc for some path references)

### Usage

    pandoc_path_arg(path, backslash = TRUE)

### Arguments

`path` | Path to transform
`backslash` | Whether to replace forward slashes in `path` with backslashes on Windows

### Value

Transformed path that can be passed to pandoc on the command line

[Package rmarkdown version 1.2 Index]